/*
 * @Author: wangshengye wangshengye@kylinos.cn
 * @Date: 2024-08-28 10:45:03
 * @LastEditors: wangshengye wangshengye@kylinos.cn
 * @LastEditTime: 2024-09-04 14:07:25
 * @FilePath: /ksaf-label-manager-1.0/inc/ksaf_common.h
 * @Description: 
 * 
 * Copyright Kylin Software  Co, Ltd.(c) (2020)
 */

#ifndef __KSAF_COMMON_H
#define __KSAF_COMMON_H

#include <stdint.h>
#include <limits.h>

typedef union
{
    struct
    {
        uint64_t pkg_id;
        uint64_t file_id;
        uint64_t path_id;
    };
    uint64_t id;
}KSAF_ID;

typedef struct
{
    char filepath[PATH_MAX];
    KSAF_ID id;
}KSAF_ID_PAIR;


#endif //__KSAF_COMMON_H